#include  
#include  
#include "DHT.h"
 
Servo m;
float h_dht;
float t_dht;
int gas;
 
int distance;
DHT dht (P11, DHT11);
void setup() { 
  //P11 dht11
  //P3 servo
  //P6 gas
  //M1 peltie
  //M2 cooler
  
  Serial.begin(9600);
  dht.begin();
  m.attach(P3);
  uPinMode(P7,OUTPUT);//trig
  uPinMode(P8,INPUT);//echo
  uPinMode(P1,OUTPUT);//led
  uPinMode(P2,OUTPUT);//led
  motorConnection(0,0);
  m.write(0);
}
void loop() {
  gas=analogRead(P6);
 
  uDigitalWrite(P7,1);
  delayMicroseconds(10);
  uDigitalWrite(P7,0);
  distance=pulseIn(P8,1) / 58;
 
  h_dht=dht.readHumidity();
  t_dht=dht.readTemperature();
 
  Serial.print("temp ");
  Serial.println(t_dht);
  
  Serial.print("hum ");
  Serial.println(h_dht);
 
  Serial.print("gas ");
  Serial.println(gas);
 
  Serial.print("dist ");
  Serial.println(distance);
 
//
  if(distance<60)
  {
    uDigitalWrite(P1,1);
    uDigitalWrite(P2,1);
  }
  else
  {
    uDigitalWrite(P1,0);
    uDigitalWrite(P2,0);
  }
 
//
if(gas<300 || gas>450 || h_dht<20)
{
  m.attach(P3);
  m.write(180);
  delay(2000);
  m.write(0);
}
else
{
  m.detach();
}
 
//  
if(t_dht<27)
{
  drive(-255,-255);
}
else
{
  drive(0,0);
}
 
  delay(100);
}

